Subject: Re: bug#19152: 25.0.50; "You can run the command `debug-on-entry' with M-x deb-o RET"

From: Ivan Shmakov <[email-masked]>
Date: Sun, 23 Nov 2014 18:59:36 +0000

>>>>> Alan Mackenzie <[email-masked]> writes:

[…]

 >> Actually I find these messages very instructive for people like me,
 >> which had no idea about this (new with Emacs-25?) abbreviation
 >> ability!

 > Which is of questionable value and questionable safety.  Read the
 > anecdote in entry "DWIM" of the New Hacker's Dictionary (about
 > somebody having his command "delete *$" helpfully interpreted as
 > "delete *") to see why.

	Do you have any specific scenario in mind where this
	‘-’-completion may be harmful?  I’m occasionally using it for I
	guess around a year or so and never had an issue.

 > This feature is even present in Emacs 24.3.  I'm now going to find
 > out how to turn it off, once and for all.

-- 
FSF associate member #7257  http://boycottsystemd.org/  … 3013 B6A0 230E 334A